Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.jpa
Class JpaModule

    java.lang.Object
      org.apache.tapestry5.jpa.JpaModule

    public class JpaModule

extends java.lang.Object

Defines core services for JPA support.

Since:
  5.3

Constructor Summary
`JpaModule()`

Method Summary
`static void` | `bind(ServiceBinder binder)`
`static EntityManagerManager` | `buildEntityManagerManager(EntityManagerSource entityManagerSource, PerthreadManager perthreadManager, org.slf4j.Logger logger)`
`static JpaEntityPackageManager` | `buildJpaEntityPackageManager(java.util.Collection<java.lang.String> packageNames)`
`static void` | `provideApplicationStateContributions(MappedConfiguration<java.lang.Class,ApplicationStateContribution> configuration, EntityManagerSource entityManagerSource, boolean entitySessionStatePersistenceStrategyEnabled)`
`void` | `provideApplicationStatePersistenceStrategies(MappedConfiguration<java.lang.String,ApplicationStatePersistenceStrategy> configuration)`
`static void` | `provideClassTransformWorkers(OrderedConfiguration<ComponentClassTransformWorker2> configuration)`
`static void` | `provideEntityPackages(Configuration<java.lang.String> configuration, java.lang.String appRootPackage)`
`static void` | `provideEntityPersistentFieldStrategies(MappedConfiguration<java.lang.String,PersistentFieldStrategy> configuration)`
`static void` | `provideFactoryDefaults(MappedConfiguration<java.lang.String,java.lang.String> configuration)`
`static void` | `provideObjectProviders(OrderedConfiguration<ObjectProvider> configuration)`
`static void` | `provideValueEncoders(MappedConfiguration<java.lang.Class,ValueEncoderFactory> configuration, boolean provideEncoders, EntityManagerSource entityManagerSource, EntityManagerManager entityManagerManager, TypeCoercer typeCoercer, PropertyAccess propertyAccess, LoggerSource loggerSource)`
`static void` | `startupEarly(EntityManagerManager entityManagerManager, boolean earlyStartup)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JpaModule

    public JpaModule()

Method Detail

### bind

    public static void bind(ServiceBinder binder)

### buildJpaEntityPackageManager

    public static JpaEntityPackageManager buildJpaEntityPackageManager(java.util.Collection<java.lang.String> packageNames)

### buildEntityManagerManager

    @Scope(value="perthread")
    public static EntityManagerManager buildEntityManagerManager(EntityManagerSource entityManagerSource,
                                                                            PerthreadManager perthreadManager,
                                                                            org.slf4j.Logger logger)

### provideEntityPackages

    @Contribute(value=JpaEntityPackageManager.class)
    public static void provideEntityPackages(Configuration<java.lang.String> configuration,
                                                                                          @Symbol(value="tapestry.app-package")
                                                                                          java.lang.String appRootPackage)

### provideEntityPersistentFieldStrategies

    @Contribute(value=PersistentFieldManager.class)
    public static void provideEntityPersistentFieldStrategies(MappedConfiguration<java.lang.String,PersistentFieldStrategy> configuration)

### provideApplicationStatePersistenceStrategies

    @Contribute(value=ApplicationStatePersistenceStrategySource.class)
    public void provideApplicationStatePersistenceStrategies(MappedConfiguration<java.lang.String,ApplicationStatePersistenceStrategy> configuration)

### provideClassTransformWorkers

    @Contribute(value=ComponentClassTransformWorker2.class)
    @Primary
    public static void provideClassTransformWorkers(OrderedConfiguration<ComponentClassTransformWorker2> configuration)

### provideObjectProviders

    @Contribute(value=MasterObjectProvider.class)
    public static void provideObjectProviders(OrderedConfiguration<ObjectProvider> configuration)

### provideFactoryDefaults

    @Contribute(value=SymbolProvider.class)
    @FactoryDefaults
    public static void provideFactoryDefaults(MappedConfiguration<java.lang.String,java.lang.String> configuration)

### provideValueEncoders

    @Contribute(value=ValueEncoderSource.class)
    public static void provideValueEncoders(MappedConfiguration<java.lang.Class,ValueEncoderFactory> configuration,
                                                                                    @Symbol(value="tapestry.jpa.provide-entity-value-encoders")
                                                                                    boolean provideEncoders,
                                                                                    EntityManagerSource entityManagerSource,
                                                                                    EntityManagerManager entityManagerManager,
                                                                                    TypeCoercer typeCoercer,
                                                                                    PropertyAccess propertyAccess,
                                                                                    LoggerSource loggerSource)

### provideApplicationStateContributions

    @Contribute(value=ApplicationStateManager.class)
    public static void provideApplicationStateContributions(MappedConfiguration<java.lang.Class,ApplicationStateContribution> configuration,
                                                                                                         EntityManagerSource entityManagerSource,
                                                                                                         @Symbol(value="tapestry.jpa.entity-session-state-persistence-strategy-enabled")
                                                                                                         boolean entitySessionStatePersistenceStrategyEnabled)

### startupEarly

    @Startup
    public static void startupEarly(EntityManagerManager entityManagerManager,
                                            @Symbol(value="tapestry.jpa.early-startup")
                                            boolean earlyStartup)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.